/*
 * (c) 2005 by Simon Gander <simongander@gmx.ch>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package guettingen;

import java.applet.Applet;
import java.applet.AudioClip;
import java.awt.Canvas;
import java.awt.Graphics;
import java.awt.image.BufferedImage;

abstract class Hebelsperre extends Canvas {
	public Hebelsperre () {
		super ();
		setSize (60, 80);
	}
	
//	public static void initialisieren() {
	static {
		esig_k = Tools.loadImage ("signalkasten_ein");
		asig_k = Tools.loadImage ("signalkasten_aus");
		wei_k = Tools.loadImage ("weichenkasten");
	}
/*	
	public void paint (Graphics g) {
		if (bild == null) return;
		g.drawImage (bild, 0, 0, this);
		drawLampe (g);
	}
*/
	
	public abstract void paint (Graphics g);
	
//	public abstract void drawLampe (Graphics g);
	
	static BufferedImage esig_k;
	static BufferedImage asig_k;
	static BufferedImage wei_k;
	
	BufferedImage bild;
	
	static AudioClip freigabe_sound;
	static {
		freigabe_sound = Applet.newAudioClip(ClassLoader.getSystemResource("sounds/SF.wav"));
	}
}
